- Qt 5.15
- Qt 3D
- QML Types
- RenderTarget QML Type
- Qt 5.15.11 Reference Documentation

# RenderTarget QML Type

The RenderTarget class encapsulates a target (usually a frame buffer object) which the renderer can render into. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Instantiates: | QRenderTarget

- List of all members, including inherited members

## Properties

- attachments : list<RenderTargetOutput>

## Detailed Description

A RenderTarget comprises of RenderTargetOutput objects, which specify the the buffers the render target is rendering to. The user can specify MRT(Multiple Render Targets) by attaching multiple textures to different attachment points. The results are undefined if the user tries to attach multiple textures to the same attachment point. At render time, only the draw buffers specified in the RenderTargetSelector are used.

## Property Documentation

attachments : list<RenderTargetOutput>

Holds the attachments for the RenderTarget.